// copyright 2022 zamfofex
// license: AGPLv3 or later

#ifndef MIMIMI_POSES_H
#define MIMIMI_POSES_H

struct mimimi_allocator;

struct mimimi_pose_layer
{
	int slant;
	int y_angle;
	int z_angle;
};

struct mimimi_pose
{
	int x;
	int y;
	int count;
	struct mimimi_pose_layer *layers;
};

void mimimi_pose(struct mimimi_image *image, struct mimimi_model *model, struct mimimi_pose *pose, struct mimimi_allocator *allocator);

#endif
