/* copyright 2022 zamfofex */
/* license: AGPLv3 or later */

OUTPUT_FORMAT(binary);

SECTIONS
{
	boot 0x7C00 : AT(0)
	{
		*(boot);
		. = 510;
		SHORT(0xAA55);
		. = 512;
	}
	
	before 0x0500 : AT(0x0200) { *(boot2); engines/x86.x86.o(*); }
	
	after 0x8000 : AT(0x7A00) { *(.text); *(vbe); *(.data); *(*); }
	
	mimimi_x86_heap_start = 0x100000;
}
