// copyright 2022 zamfofex
// license: AGPLv3 or later

#ifndef MIMIMI_SENRAN_KAGURA_LAYERS_H
#define MIMIMI_SENRAN_KAGURA_LAYERS_H

struct mimimi_layer;

extern struct mimimi_layer *mimimi_head;
extern struct mimimi_layer *mimimi_torso;
extern struct mimimi_layer *mimimi_arm;
extern struct mimimi_layer *mimimi_leg;

extern struct mimimi_layer *mimimi_mirai_yang_right_sleeve;
extern struct mimimi_layer *mimimi_mirai_face;
extern struct mimimi_layer *mimimi_mirai_hair;
extern struct mimimi_layer *mimimi_mirai_yang_dress;
extern struct mimimi_layer *mimimi_mirai_yang_left_sleeve;

extern struct mimimi_layer *mimimi_hebijo_uniform_shirt;
extern struct mimimi_layer *mimimi_hebijo_uniform_skirt;
extern struct mimimi_layer *mimimi_hebijo_uniform_left_sleeve;
extern struct mimimi_layer *mimimi_hebijo_uniform_right_sleeve;
extern struct mimimi_layer *mimimi_hebijo_uniform_sleeve;
extern struct mimimi_layer *mimimi_hebijo_uniform_sock;
extern struct mimimi_layer *mimimi_hebijo_uniform_shoe;

extern struct mimimi_layer *mimimi_ryoubi_face;
extern struct mimimi_layer *mimimi_ryoubi_hair;
extern struct mimimi_layer *mimimi_ryoubi_pigtails;

extern struct mimimi_layer *mimimi_ryouna_face;
extern struct mimimi_layer *mimimi_ryouna_hair;

extern struct mimimi_layer *mimimi_mirai_flash_shirt;
extern struct mimimi_layer *mimimi_mirai_flash_skirt;
extern struct mimimi_layer *mimimi_mirai_flash_sock;
extern struct mimimi_layer *mimimi_mirai_flash_shoe;
extern struct mimimi_layer *mimimi_mirai_flash_bracelet;
extern struct mimimi_layer *mimimi_mirai_flash_wristband;

#endif
